Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.knipp.rritoolkit.message
Class DomainExpireMessage

    java.lang.Object
      de.knipp.rritoolkit.message.Message
          de.knipp.rritoolkit.message.ExpireMessageBase
              de.knipp.rritoolkit.message.DomainExpireMessage

All Implemented Interfaces:
  java.io.Serializable

    public class DomainExpireMessage

extends ExpireMessageBase

class that represents the domain expire message

Version:
  $Revision: 14936 $
Author:
  Klaus Malorny
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.knipp.rritoolkit.message.ExpireMessageBase
`ExpireMessageBase.Entry`

Nested classes/interfaces inherited from class de.knipp.rritoolkit.message.Message
`Message.Type`

Constructor Summary
`DomainExpireMessage()`

Method Summary
`void` | `accept(MessageVisitor visitor)` call the suitable method of the given visitor

Methods inherited from class de.knipp.rritoolkit.message.ExpireMessageBase
`dataFromList, dataFromXml, getList, toString`

Methods inherited from class de.knipp.rritoolkit.message.Message
`createMessage, fromList, fromXml, getCreationDate, getMessageID, getType, setData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DomainExpireMessage

    public DomainExpireMessage()

Method Detail

### accept

    public void accept(MessageVisitor visitor)

  call the suitable method of the given visitor

  Specified by:
    `accept` in class `Message`
  Parameters:
    `visitor` - the visitor

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Knipp Medien und Kommunikation GmbH